Subject: bug#46316: closed (Re: bug#46316: 27.1; wrong horizontal scroll with truncate-lines value t)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Apr 2021 17:00:05 +0000

Your bug report

#46316: 27.1; wrong horizontal scroll with truncate-lines value t

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46316: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46316
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46316: 27.1; wrong horizontal scroll with truncate-lines value t
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 9 Apr 2021 11:59:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Mon, 15 Feb 2021 00:43:32 +0900
>>
>> >> (let ((buf (generate-new-buffer "tmp")))
>> >>   (switch-to-buffer buf)
>> >>   (setq truncate-lines t)
>> >>   (dotimes (i 200)
>> >>     (insert (format ":%03d" i))
>> >>     (when (= 0 (% (1+ i) 100)) (insert ?\n)))
>> >>   (forward-char -1)
>> >>   (sit-for 1)
>> >>   (set-window-hscroll nil (window-hscroll))
>> >>   (save-excursion
>> >>     (forward-char -100)
>> >>     (insert-char ?\n 10)
>> >>     ))
>> >
>> > Sorry, I don't think I follow: what exactly is the bug here?  What did
>> > you expect to happen ,and what did actually happen?
>>
>> The expression '(set-window-hscroll nil (window-hscroll))' should not
>> have any effect
>
> That's not true: calling set-window-hscroll inhibits automatic
> hscrolling, until point moves for some reason.
>
>> but if it is deleted from the form, auto-hscroll-mode works
>> correctly.
>
> I think this is expected: the text your recipe adds is not around
> point, so we don't re-enable auto-hscroll.
>
>> Not only point motion but also buffer modification should be checked for
>> auto-hscroll-mode.
>
> If you want this to happen, don't call set-window-hscroll.

This was tagged notabug and Eli explained that the behavior is
expected.  The bug that was here has been fixed.

There also has been no further update within 7 weeks.

I'm therefore closing this bug report.

Subject: 27.1; wrong horizontal scroll with truncate-lines value t
From: [email-masked]
To: [email-masked]
Date: Fri, 05 Feb 2021 14:08:06 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

(1) When isearch fails after last match
Evaluate the form below and type 'C-s a C-s', then emacs messages
'Failing I-search: a' and the buffer scrolls back left and the current
point is out of the window.
Type C-s again, and overwrapped search succeeds at the same point,
but the matched point is still out of the window.

  (let ((buf (generate-new-buffer "tmp")))
    (switch-to-buffer buf)
    (setq truncate-lines t)
    (dotimes (i 100) (insert (format "%d\n" i)))
    (insert-char ?x 200)
    (insert ?a)
    (goto-char (point-min)))

(2) When image-toggle-display
Evaluate the form below, then the SVG image is displayed.
Type 'C-c C-c' to view the source text and type 'C-c C-c' again to view
the image, then the buffer keeps scrolled right and the image is hidden
out of the window.
Type C-a and the image is shown, type 'C-c C-c' to view the source text
again, then the buffer keeps scrolled left and the current point is out
of the window.

  (let ((buf (generate-new-buffer "tmp"))
        (svg "<svg width=\"80\" height=\"80\" version=\"1.1\"\
   xmlns=\"http://www.w3.org/2000/svg\"\
   xmlns:xlink=\"http://www.w3.org/1999/xlink\">\
   <rect width=\"80\" height=\"80\" x=\"0\" y=\"0\" fill=\"blue\"></rect>\
  </svg>"))
    (switch-to-buffer buf)
    (setq truncate-lines t)
    (insert svg)
    (image-mode))

In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
 of 2020-08-22 built on CIRROCUMULUS
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro (v10.0.1909.18363.1316)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading c:/home/yagi/.emacs.d/minimal-init.el (source)...
Loading term/bobcat...done
Loading c:/home/yagi/.emacs.d/minimal-init.el (source)...done

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
term/bobcat japan-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win
w32-win w32-vars term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 49564 9493)
 (symbols 48 6091 1)
 (strings 32 16912 1998)
 (string-bytes 1 523773)
 (vectors 16 10730)
 (vector-slots 8 208731 12936)
 (floats 8 21 314)
 (intervals 56 225 0)
 (buffers 1000 11))